All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::system_error Struct Reference

`#include <exception.hpp>`

Inheritance diagram for uhd::system_error:

## Public Member Functions

| system_error (const std::string &what)
virtual unsigned | code (void) const
virtual system_error * | dynamic_clone (void) const
virtual void | dynamic_throw (void) const
Public Member Functions inherited from uhd::exception
| exception (const std::string &what)

## Constructor & Destructor Documentation

uhd::system_error::system_error | ( | const std::string & | what | ) |

## Member Function Documentation

virtual unsigned uhd::system_error::code | ( | void |  | ) | const

virtual

Implements uhd::exception.

virtual system_error* uhd::system_error::dynamic_clone | ( | void |  | ) | const

virtual

Implements uhd::exception.

virtual void uhd::system_error::dynamic_throw | ( | void |  | ) | const

virtual

Implements uhd::exception.

The documentation for this struct was generated from the following file:

- include/uhd/exception.hpp